Package org.apache.lucene.analysis.morfologik

# Interface MorphosyntacticTagsAttribute

All Superinterfaces:
  `Attribute`

All Known Implementing Classes:
  `MorphosyntacticTagsAttributeImpl`

public interface MorphosyntacticTagsAttribute extends Attribute
Morfologik provides morphosyntactic annotations for surface forms. For the exact format and description of these, see the project's documentation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Clear to default value.
  `List<StringBuilder>`
  `getTags()`
  Returns the POS tag of the term.
  `void`
  `setTags(List<StringBuilder> tags)`
  Set the POS tag.

- ## Method Details

  - ### setTags

    void setTags(List<StringBuilder> tags)
    Set the POS tag. The default value (no-value) is null.
    Parameters:
      `tags` - A list of POS tags corresponding to current lemma.

  - ### getTags

    List<StringBuilder> getTags()
    Returns the POS tag of the term. A single word may have multiple POS tags, depending on the interpretation (context disambiguation is typically needed to determine which particular tag is appropriate).

  - ### clear

    void clear()
    Clear to default value.